/******************************************************************************/
/*!
 * @file   ex_flash.h
 * @brief  外部ヘッダー
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exflash_H_
#define _exflash_H_

#include <zephyr.h>
#include <device.h>
#include <devicetree.h>
#include <drivers/flash.h>

#include "ex_common.h"      // ADD M.Taguchi 2023/4/13 830001-112 :設定データ保存箇所とは別セクターでもう一つの出荷検査フラグを管理する

// define定義
#define FLASH_SEGGING_REGION_OFFSET 0x000000
#define FLASH_LOG_REGION_OFFSET 0x001000
#define FLASH_MCTEST_REGION_OFFSET 0x3F0000     // ADD M.Taguchi 2023/4/13 830001-112 :設定データ保存箇所とは別セクターでもう一つの出荷検査フラグを管理する

// ADD-S M.Taguchi 2023/4/13 830001-112 :設定データ保存箇所とは別セクターでもう一つの出荷検査フラグを管理する
// structure
// 出荷検査情報
typedef struct
{
    uint8_t		mctest_flg;						// 出荷検査終了フラグ
	char		check_date[CHECK_DATE_LEN+1];   // 検査日時						★★★ サイズは変更の可能性あり
	char		dummy1[2];
}FLASH_MCTEST_INFO;
// ADD-E M.Taguchi 2023/4/13 830001-112 :設定データ保存箇所とは別セクターでもう一つの出荷検査フラグを管理する

// prototype
extern void wrap_flash_init(void);
extern int wrap_flash_write(off_t offset, void* data, size_t len);
extern int wrap_flash_read(off_t offset, void* data, size_t len);
extern int wrap_flash_erase_sector(off_t offset);
extern int wrap_flash_erase_block(off_t offset);


#endif //_exflash_H_
/****************************************************************************************/
/* FILE END : ex_flash.h																*/
/****************************************************************************************/
