/******************************************************************************/
/*!
 * @file   ex_ui_thread.h
 * @brief
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exuithread_H_
#define _exuithread_H_

// enum
// STATUS用
typedef enum {
	LED_STATUS_STATUS_BOOT = 0,		// 起動、AWS接続中
	LED_STATUS_STATUS_IDLE,			// 正常稼働
	LED_STATUS_STATUS_ERROR,		// エラー発生
	LED_STATUS_STATUS_NUM,			// 最大値
} LED_STATUS_STATUS;

// LTE用
typedef enum {
	LED_STATUS_LTE_DISCONNECT = 0,		// 通信断
	LED_STATUS_LTE_LV1,					// アンテナレベル1
	LED_STATUS_LTE_LV2,					// アンテナレベル2
	LED_STATUS_LTE_LV3,					// アンテナレベル3
	LED_STATUS_LTE_LV4,					// アンテナレベル4
	LED_STATUS_LTE_NUM,					// 最大値
} LED_STATUS_LTE;

// GNSS用
typedef enum {
	LED_STATUS_GNSS_NONPOSI = 0,		// 衛星測位なし
	LED_STATUS_GNSS_LV1,				// DOP値レベル1
	LED_STATUS_GNSS_LV2,				// DOP値レベル2
	LED_STATUS_GNSS_LV3,				// DOP値レベル3
	LED_STATUS_GNSS_LV4,				// DOP値レベル4
	LED_STATUS_GNSS_NUM,				// 最大値
} LED_STATUS_GNSS;

// CHG-S D.Praveen 2022/11/09 fotaのLED設定を追加
#if 0
// G-SENS用
typedef enum {
	LED_STATUS_GNSS_PREPAR = 0,			// 準備中
	LED_STATUS_GSENS_LV1,				// 加速度レベル1
	LED_STATUS_GSENS_LV2,				// 加速度レベル2
	LED_STATUS_GSENS_LV3,				// 加速度レベル3
	LED_STATUS_GSENS_LV4,				// 加速度レベル4
	LED_STATUS_GSENS_NUM,				// 最大値
} LED_STATUS_GSENS;

#else
// FOTA用
typedef enum {
	LED_STATUS_FOTA_PREPAR = 0,			// 準備中
	LED_STATUS_FOTA_START,				// FOTA START EVT
	LED_STATUS_FOTA_END,				// FOTA END EVT
	LED_STATUS_FOTA_NUM,				// 最大値
} LED_STATUS_FOTA;
#endif
// CHG-E D.Praveen 2022/11/09 fotaのLED設定を追加

// prototype
// CHG-S T.Itai 2022/7/28
#if 0
extern void ui_thread_create(void);
#else
extern int ui_thread_create(void);
#endif
// CHG-E T.Itai 2022/7/28
extern void ui_thread_start(void);
extern void ui_thread_status_evt(LED_STATUS_STATUS led_id);
extern void ui_thread_status_init_issue(void);
// void ui_thread_lte_connect(void);		// 未使用なのでコメントアウト
extern void ui_thread_lte_evt(LED_STATUS_LTE led_id);
extern void ui_thread_gnss_evt(LED_STATUS_GNSS led_id);
// CHG-S D.Praveen 2022/11/09 fotaのLED設定を追加
#if 0
extern void ui_thread_gsens_evt(LED_STATUS_GSENS led_id);
#else
extern void ui_thread_fota_evt(LED_STATUS_FOTA led_id);
// void ui_thread_fota_reboot_evt(void);	// ADD T.Itai 2022/11/25 830001-13 :FOTA後の再起動設定「あり」の場合、インストール中のLEDが前回の点灯状態のままとなる
#endif
// CHG-E D.Praveen 2022/11/09 fotaのLED設定を追加
extern void ui_thread_boot_led(void);
extern void ui_thread_data_send_evt(void);
extern void ui_thread_led_test(int led_no, uint32_t led_id);
extern void ui_thread_gnss_no_posi_buzzer(void);			// ADD Y.Hirano 2022/2/28 830POC-37 :GNSS未測位時のブザー音修正
// ADD-S T.Itai 2022/10/18 出荷検査対応
extern void ui_thread_mctest_led(void);
extern void ui_thread_mctest_buzzer(void);
// ADD-E T.Itai 2022/10/18 出荷検査対応

#endif //_exuithread_H_
/****************************************************************************************/
/* FILE END : ex_ui_thread.h															*/
/****************************************************************************************/
